{
    num: 727,
    accuracy: true,
    basePower: 190,
    category: "Physical",
    isNonstandard: "Past",
    name: "Splintered Stormshards",
    pp: 1,
    priority: 0,
    flags: {},
    onHit() {
        this.field.clearTerrain();
    },
    onAfterHit(target, source, move) {
        if (!move.hasSheerForce && source.hp) {
            for (const side of source.side.foeSidesWithConditions()) {
                side.addSideCondition("stealthrock");
            }
        }
    },
    onAfterSubDamage(damage, target, source, move) {
        if (!move.hasSheerForce && source.hp) {
            for (const side of source.side.foeSidesWithConditions()) {
                side.addSideCondition("stealthrock");
            }
        }
    },
    isZ: "lycaniumz",
    secondary: null,
    target: "normal",
    type: "Rock",
    contestType: "Cool"
}
